package com.ssj.service.kmt.service;

import com.ssj.bean.kmt.kmt.domain.KmtCourseTemplate;
import com.ssj.framework.core.common.service.BaseService;

import java.util.List;

public interface KmtCourseTemplateService extends BaseService<KmtCourseTemplate, String> {

	
	/**
	 * 查询老师的备课模板列表
	 * @param teacherId
	 * @return
	 */
	public List<KmtCourseTemplate> findTemplateByList(String teacherId, String type);


	/**
	 * 通过查询老师的开课时段查询有空档老师ids
	 * @param
	 * @param
	 * @return
	 */
	public List<String> findHasTimeTeacherByCourseTime(String[] teacherIds, int week, String courseTime);

	/**
	 * 通过星期几查询有空档老师
	 * @param teacherIds
	 * @param weeks
	 * @param courseTime
	 * @return
	 */
	public List<String> findHasTimeTeacherByWeek(String[] teacherIds, int[] weeks, String courseTime);


	/**
	 * 通过老师id查询老师开课设置
	 * @param teacherId
	 * @return
	 */
	KmtCourseTemplate findTemplateByTeacherId(String teacherId, String courseTime);

	/**
	 * 根据传入的星期判断老师有没有空，有空把时段返回
	 * @param teacherId
	 * @param week
	 * @return
	 */
	List<KmtCourseTemplate> findByTeacherIdAndWeek(String teacherId, int week);


	public KmtCourseTemplate findTemplateByAnyThing(String teacherId, int type, String val);


	public void setTeacherDataState(String teacherId, int i);
}
